1

Topic: Call for help: Missing two required packages in Arch Linux

Dear all,

I'm trying to make iRedMail work on Arch Linux, version 2011.08.19 with the latest update, but we miss some packages in Arch Linux repositories:

  • Amavisd-new: high-performance interface between MTA (Postfix) and content checkers (ClamAV, SpamAssassin). Exists in AUR, but it's out of date. iRedMail requires at least 2.6.6 (2.6 serial) or 2.7.0 (2.7 serial). There's a out of date package in AUR, Can someone contact maintainer to update it? https://aur.archlinux.org/packages.php?ID=573

  • Policyd: anti-spam plugin for Postfix (white/black/greylisting, throttling, etc). Not exist in either official repositories or AUR.

Can someone help update or submit them? I cannot move on without these two packages.

P.S. pkgsrc has all packages required by iRedMail, which means iRedMail may work on NetBSD and DragonFly BSD. Any interest?

2

Re: Call for help: Missing two required packages in Arch Linux

good idea.

3 (edited by matteo.frakka 2012-05-20 01:12:25)

Re: Call for help: Missing two required packages in Arch Linux

Hi!

Just for information, ArchServer project seems to be live again. I hope this help your development.
www.archserver.org

P.S:
No link allowed??
(Warning! The following errors must be corrected before your message can be posted:
    Too more links in message. Allowed 0 links. Reduce number of links and post it again.)
I had to edit my post to add thew link.

4 (edited by Alir3z4 2012-07-23 21:42:17)

Re: Call for help: Missing two required packages in Arch Linux

Hi.
For test, i have installed iRedMail on the Debian 6.0.
But I would like to install it under archlinux, since i'm using arch for couple of production server.
I've found that there isn't support on archlinux.
is there a way to ship the iredmail configuration from one distro to archlinux?
By the way, thanks for the prefect solution.

Update:
I've installed the mail-server with all the features that iredmail offers on archlinux.
And it's very fast and lightweight, despite that i'm using nginx+fast-cgi instead of apache, and pgsql instead of mysql.
On debian server with 512 MB ram it's slow, i don't why, even couple of tuning in mysql+apache side and also this giant monster ram eater amavisd+spamasssin i didn't get what i've expect.
But i've take benefit from iredmail exp-conf files on the bitbucket.

5

Re: Call for help: Missing two required packages in Arch Linux

As mentioned in my first post, we need two packages on Arch. If you want to make iRedMail run on Arch, please help make these two packages available in official repo or AUR.

6

Re: Call for help: Missing two required packages in Arch Linux

ZhangHuangbin wrote:

As mentioned in my first post, we need two packages on Arch. If you want to make iRedMail run on Arch, please help make these two packages available in official repo or AUR.


Hi! Planning on using ARCH and may move to OBSD/FBSD next year perhaps.

So: very very keen to know if there's a hold up on the missing ARCH packages?

I'm not skilled enough to be of use, though I'd be very surprised if there
wasn't enough luck  to find some help via the very talented and friendly in ARCH community.

Have I missed something? Can we install iRedmail on ARCH perfectly yet?

best wishes to all.

7

Re: Call for help: Missing two required packages in Arch Linux

iRedMail doesn't support Arch Linux, and still no plan to support it. Sorry.

PERSONALLY, i recommend OpenBSD. smile

8

Re: Call for help: Missing two required packages in Arch Linux

Hi,

I'm Arch Linux Trusted User. I just orphaned amavisd-new in AUR; I hope it'll change your plans on Arch support.

Cheers!

9

Re: Call for help: Missing two required packages in Arch Linux

Still no plan to support Arch Linux, but i will keep my eyes on required components on Arch Linux.